<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
	xmlns:pe="http://primefaces.org/ui/extensions">

<div id="modalAsignacion">
<style type="text/css">.ui-autocomplete-input.ui-autocomplete-dd-input {padding-right: 36px; width: 372px      }.ui-autocomplete {     left: 11px !important;  !important; display: inline-table;  padding-right: 0;"}</style>
	<p:panelGrid id="idPanelAsignacion">
		<p:row>
			<p:column>
				<p:outputLabel
					value="#{msghsp['etiqueta.administracion.cuentadominio']}" />
			</p:column>
			<p:column>
				<p:outputLabel id="idAsigCuentaDominio"
					value="#{administracionUsuarioController.usuarioOperativo.refPersonalOperativo}" />
			</p:column>
			<p:column />
			<p:column />
			<p:column />
			<p:column />
			<p:column />
		</p:row>
		<p:row>
			<p:column>
				<p:outputLabel
					value="#{msghsp['etiqueta.administracion.cveDelegacion']}" />
			</p:column>
			<p:column class="">

				<p:panelGrid>
					<p:row>
						<p:column class="campo4">
							<p:inputText id="idModAsigCveDelegacion"
								style="right: -12px !important; left: -12px !important; display: inline-table;"
								value="#{administracionUsuarioController.asignacionModal.unidadMedica.cveDelegacionImss}"
								maxlength="3"
								binding="#{administracionUsuarioController.textAsigCveDelegacion}"
								onkeydown="keyDownCveDelegacion();">
							</p:inputText>
						</p:column>
						<p:column class="campoL2">
							<p:inputText id="idModAsigDescDelegacion"
								value="#{administracionUsuarioController.asignacionModal.unidadMedica.desDelegacionImss}"
								binding="#{administracionUsuarioController.textAsigDesDelegacion}">
							</p:inputText>
						</p:column>

					</p:row>
				</p:panelGrid>
			</p:column>
			<p:column />
			<p:column />
			<p:column />
			<p:column />
			<p:column />
		</p:row>
		<p:row>
			<p:column>
				<p:outputLabel
					value="#{msghsp['etiqueta.administracion.clavePresupuestal']}" />
			</p:column>
			<p:column colspan="2" class="autocompleteHd" style=" left:500px !important; display: inline-table; ">

				<p:autoComplete
				style=" left: 11px !important; !important; display: inline-table;  padding-right: 0;"
				 id="idModAsigCvePresupuestal" dropdown="true"
					scrollHeight="100"
					value="#{administracionUsuarioController.asignacionModal.unidadMedica.cvePresupuestal}"
					completeMethod="#{administracionUsuarioController.filtrarCatalogoClavePresupuestal}"
					binding="#{administracionUsuarioController.autoAsigPresupuestal}"
					forceSelection="true">
					<p:ajax event="itemSelect"
						listener="#{administracionUsuarioController.validarAsigCvePresupuestal}"
						oncomplete="actualizarFocoAsigCvePresupuestal();"
						update="growlMessageError idFoco idHiddenFoco" />
				</p:autoComplete>

			</p:column>
			<p:column />
			<p:column />
			<p:column />
			<p:column />
			<p:column />
		</p:row>


		<p:row>
			<p:column>
				<p:outputLabel value="#{msghsp['etiqueta.administracion.tipoAsignacion']}" />
			</p:column>
			<p:column class="comboL">
				<p:selectOneMenu id="idModAsigTipoAsignacion"
					binding="#{administracionUsuarioController.selectAsigTipoAsignacion}">
					<f:selectItem
                          itemValue=""
                          itemLabel="#{msghsp['seleccione.vacio']}"
                          noSelectionOption="true" />
					<f:selectItems
						value="#{administracionUsuarioController.catalogoTipoAsignacion}"
						var="divH" itemValue="#{divH.clave}"
						itemLabel="#{divH.clave} #{divH.descripcion}" />
						 <p:ajax
                                event="change"
                                listener="#{administracionUsuarioController.validarAsigSelectTipoAsig}"
                                process="@this,idModAsigTipoAsignacion"
                                oncomplete="actualizarFocoTipoAsignacionEstatus();"
                                update="growlMessageError idFoco idHiddenFoco" />
				</p:selectOneMenu>
			</p:column>
			<p:column />
			<p:column />
			<p:column />
			<p:column />
			<p:column />
		</p:row>
		<p:row>
			<p:column>
				<p:outputLabel value="#{msghsp['etiqueta.administracion.estatus']}" />
			</p:column>
			<p:column class="comboL">

				<p:selectOneMenu id="idModAsigEstatus"
					binding="#{administracionUsuarioController.selectAsigEstatus}">
					<f:selectItem
                          itemValue=""
                          itemLabel="#{msghsp['seleccione.vacio']}"
                          noSelectionOption="true" />
					<f:selectItems
						value="#{administracionUsuarioController.catalogoEstatus}"
						var="divH" itemValue="#{divH.clave}"
						itemLabel="#{divH.clave} #{divH.descripcion}" />
						<p:ajax
                                event="change"
                                listener="#{administracionUsuarioController.validarAsigSelectEstatus}"
                                process="@this,idModAsigEstatus"
                                oncomplete="actualizarFocoGuardarAsignacion();"
                                update="growlMessageError idFoco idHiddenFoco idIngresoAsignacion" />
				</p:selectOneMenu>
			</p:column>
			<p:column />
			<p:column />
			<p:column />
			<p:column />
			<p:column />
		</p:row>

		<p:row>
			<p:column>
				<p:outputLabel
					value="#{msghsp['etiqueta.administracion.fechaBaja']}" />
			</p:column>
			<p:column>
				<p:inputText id="idModAsigFechbaja"
					value="#{administracionUsuarioController.asignacionModal.fecBajaUnidad}"
					binding="#{administracionUsuarioController.textAsigFechaBaja}">
					<f:convertDateTime pattern="dd/MM/yyyy"/>
				</p:inputText>
			</p:column>
			<p:column />
			<p:column />
			<p:column />
			<p:column />
			<p:column />
		</p:row>
	</p:panelGrid>
	<div class="acciones">
		<span> <p:commandButton id="idIngresoAsignacion"
				style=" width: 112px"
				value="#{msghsp['boton.agregar.asignacion']}"
				binding="#{administracionUsuarioController.buttonGuardarAsignacion}"
				update="growlMessageInfo growlMessageError idFoco idHiddenFoco tablaAsignacion idModAsigCveDelegacion idModAsigDescDelegacion idModAsigCvePresupuestal idModAsigTipoAsignacion idModAsigEstatus"
				actionListener="#{administracionUsuarioController.guardarAsignacionModal}"
				rendered="#{administracionUsuarioController.metodoVisibleSaveAsignacion}"
				oncomplete="focoGuardarAsignacion();"
				/>
		</span>
		<span> <p:commandButton id="idEditAsignacion"
				style=" width: 112px"
				value="#{msghsp['boton.actualizar.asignacion']}"
				binding="#{administracionUsuarioController.buttonActualizarAsignacion}"
				update="growlMessageInfo growlMessageError idFoco idHiddenFoco tablaAsignacion idModAsigCveDelegacion idModAsigDescDelegacion idModAsigCvePresupuestal idModAsigTipoAsignacion idModAsigEstatus"
				actionListener="#{administracionUsuarioController.editarAsignacionModal}"
				rendered="#{administracionUsuarioController.metodoVisibleEditAsignacion}"
				oncomplete="focoGuardarAsignacion();"
				/>
		</span>
		
		<span> <p:commandButton id="idCancelar"
				style=" width: 112px"
				value="#{msghsp['boton.cancelar']}"
				binding="#{administracionUsuarioController.buttonCancelarAsignacion}"
				update="growlMessageInfo growlMessageError idFoco idHiddenFoco idModAsigCveDelegacion idModAsigDescDelegacion idModAsigCvePresupuestal idModAsigTipoAsignacion idModAsigEstatus idEditAsignacion idIngresoAsignacion"
				actionListener="#{administracionUsuarioController.cancelarAsignacionModal}"
				oncomplete="focoCancelarAsignacion();"
				/>
		</span>
		
		 <span><p:commandButton
								style= "width:100px; text-align:Center !important;"
								id="idSalirAsignacion"
								value="#{msghsp['boton.salir']}"
								binding="#{administracionUsuarioController.buttonSalirAsignacion}"
								update="idSalirAsignacion"
								actionListener="#{administracionUsuarioController.salirModalAsignacion}"
								oncomplete="deshabilitaEnter();" />
		</span>
	</div>
</div>
</html>